using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace parkMonitor.entity
{
	public interface IEquipments {
		AbstractMessage GetMessage();
		void SetMessage(AbstractMessage message);
		void Start();
		void Stop();
	}
	
	public abstract class Equipments : IEquipments {
        //号牌机、测量PC、PLC设备有没有共有的属性?
        public abstract AbstractMessage GetMessage();
        public abstract void SetMessage(AbstractMessage message);
        public abstract void Start();
        public abstract void Stop();
        
    }
   
}
